@import "assets/scss/global";

.group-item{
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    row-gap: 24px;
    column-gap: 20px;
    @media screen and (max-width:1280px) {
        grid-template-columns: repeat(4, 1fr);
    }

    @media screen and (max-width:1920px) {
        grid-template-columns: repeat(5, 1fr);
    }

    .item{
        cursor: pointer;
        padding: 20px;
        border: 1px solid #E2E5F2;
        background: #FBFAFE;
        border-radius: 8px;

        display: flex;
        flex-direction: column;
        gap: 10px;
        justify-content: space-between;
        
        width: 100%;

        .name{
            display: flex;
            flex-direction: row;
            align-items: flex-start;
            gap: 5px;
            > * {
                display: inline-flex;
                gap: 5px;
                align-items: flex-start;
                width: calc(100% - 28px);

                span {
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 20px;
                    color: #202226;
                    flex: 1;
                    overflow: hidden;
                    word-break: break-word;
                    text-overflow: ellipsis;
                    display: -webkit-box;
                    -webkit-line-clamp: 2;
                    -webkit-box-orient: vertical;
                }

                svg {
                    path {
                        fill: #7660FE;
                    }
                }
            }

            .action-btn{
                width: 23px;
                height: 23px;
                display: flex;
                justify-content: center;
                align-items: center;
                cursor: pointer;
                border-radius: 8px;
                border: 1px solid #EFEEEE;
                box-shadow: 0px 4px 4px rgba(76, 95, 168, 0.1);
            }
        }

        .count{
            display: flex;
            flex-direction: row;
            gap: 5px;
            align-items: center;

            span{
                font-weight: 500;
                font-size: 12px;
                line-height: 20px;
                color: #8E91A0;
            }
        }
    }
}

.modal-dis-dand{
    background: initial !important;
    overflow: hidden;
    max-width: unset;
    [class~='rs-modal-content']{
        border-radius: 16px;
        padding: 24px;
        width: 460px;
    }
    [class~='rs-modal-body']{
        margin: 0;
        padding: 0;
    }
    .container{
        display: flex;
        flex-direction: column;
        gap: 24px;
        width: 100%;

        .title{
            font-weight: 600;
            font-size: 20px;
            line-height: 28px;
            color: #EF4E2B;
            text-transform: uppercase;
            word-break: break-word;
        }

        .content{
            display: flex;
            flex-direction: column;
            gap: 15px;

            .des{
                font-weight: 700;
                font-size: 14px;
                line-height: 20px;
                color: #00081D;
            }
            ul{
                margin: 0;
                padding-left: 20px;
                li{
                    list-style: disc;
                    font-weight: 400;
                    font-size: 14px;
                    line-height: 20px;
                }
            }
            span{
                font-weight: 400;
                font-size: 14px;
                line-height: 20px;
            }
        }

        .action{
            display: flex;
            flex-direction: row;
            justify-content: flex-end;
            gap: 5px;

            button{
                height: 40px;
                font-weight: 400;
                font-size: 13px;
                line-height: 24px;
                padding: 8px 24px;
                box-shadow: none;
                text-align: center;
                cursor: pointer;

                &.cancel{
                    background: #F7F7F7;
                    color: #8E91A0;
                }
            }
        }
    }
}

.popover-container{
    padding: 10px;
    border-radius: 12px;
    box-shadow: 0px 12px 20px rgba(9, 9, 9, 0.1);
    .popover-content{
        display: flex;
        flex-direction: column;
        gap: 5px;
        .item-popover{
            display: flex;
            flex-direction: row;
            gap: 10px;
            align-items: center;
            cursor: pointer;
            background: #FFF;
            padding: 10px;
            border-radius: 8px;
            span{
                font-weight: 500;
                font-size: 14px;
                line-height: 20px;
                color: #202226;
            }
            svg{
                width: 20px;
                path{
                    fill: #8E91A0;
                }
                circle,[stroke-width='1.5']{
                    stroke: #8E91A0;
                }
            }

            &:hover{
                background: $primary-color3;
                span{
                    color: $primary-color2;
                }
                svg {
                    path {
                        fill: $primary-color2;
                    }
                    circle,[stroke-width='1.5'] {
                        stroke: $primary-color2;
                    }
                }
            }
        }
    }
}